Subject: Re: bug#24087: recovery from suspend is broken with recent libreboot + linux-libre 4.7

From: ng0 <[email-masked]>
Date: Thu, 28 Jul 2016 16:04:36 +0000

Hi,

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
>> I know more people than just me are using libreboot here, do you have
>> any problems with suspend and recovery?
>
> I have a X200 and some time after waking up from suspend on the first larger disk access it hangs, losing all the dirty sector payload in the process. This is Guix-specific, the same machine works just fine on Ubuntu.
>
>> Following this[0] thread you can see the problems I have with libreboot
>> latest (latest at the time of flashing) experimental release.
>
>> Can you test (if your system is already libreboot testing, if not wait
>> for either the next release candidate which should happen soon or be
>> ready to unbrick it) and provide logs so that we can fix it in our
>> system?
>
> I don't update the BIOS (I disabled the ability to do so in the chip settings).
>
> Given the ability for an update to brick, I only flashed it once before there was any data on the machine - and I don't plan on doing it again on this machine.
>
> I do actual work on this machine and were it not booting it would be much worse than wakeup not working.
>
> I sometimes non-thinkingly close the laptop lid so it crashes from time to time. So if logs help I can provide those.
>
> Also, dmidecode stopped working some time ago so I can't check which libreboot version I have.
>
> $ sudo dmidecode 
> Password: 
> # dmidecode 2.12
> SMBIOS 2.7 present.
> 8 structures occupying 382 bytes.
> Table at 0xBDAB4020.
>
> /dev/mem: Operation not permitted
> Table is unreachable, sorry.

This seems to be normal for GuixSD.  I don't have much knowledge about
how the kernel and drivers here are packaged and configured, maybe some
/dev/ devices are left out or we have more restriction than 'standard'
systems. With libreboot and Gentoo, or at least with coreboot and Gentoo
dmidecode worked… I think. I know that it works when I flash from ubuntu
livedisk.

Output for me (if not already written in my logs) is this:
# dmidecode 2.12
SMBIOS 2.7 present.
8 structures occupying 386 bytes.
Table at 0x7DAA0020.

/dev/mem: Operation not permitted
Table is unreachable, sorry.

> $ uname -a
> Linux dayas 4.6.4-gnu #1 SMP 1 x86_64 GNU/Linux

-- 
♥Ⓐ  ng0
Current Keys: https://we.make.ritual.n0.is/ng0.txt
For non-prism friendly talk find me on http://www.psyced.org